/*************************************************
0 - 576 - SMALL
*************************************************/
@media all and (max-width: 576px) {
	.site-branding #logo img { max-height:80px;}
	.mobile-nav { top:20px;}
	.hide-small{ display:none !important;}
	.mobile-nav .nav-heading { display:none;}
	.social-box, .post-meta { width:100%; text-align:center;}
	.social-box { margin:50px 0 0 0;}
	header.sub-header { padding-top: 0px;}
	#site-header-container { padding:15px;}
	.header-cta {
		position: fixed;
		background-color: #fff;
		bottom: 0;
		left: 0;
		width: 100%;
		margin: 0;
		padding: 25px;
		-webkit-box-shadow: 0 0 10px 0 rgba(0,0,0,0.2);
		box-shadow: 0 0 10px 0 rgba(0,0,0,0.2);
		-webkit-border-radius: 20px 20px 0 0;
		border-radius: 20px 20px 0 0;
	}
	.header-cta ul {
		text-align:center;
		padding:0;
	}
	.header-cta ul li { margin:0;}
	.header-cta li.button-outline a,
	.header-cta li.button-fill a {
		color:#000;
	}
	.header-cta ul li { display:block; margin-bottom:10px;}
	.page-id-285 .header-cta { display:none;}/*The Roof Repairs page*/
}
/*************************************************
576 - 768 - MEDIUM
*************************************************/
@media all and (min-width: 576px) and (max-width: 768px){
	.site-branding #logo img { max-height:70px;}
	.hide-medium{ display:none !important;}
	.header-cta {
		position: fixed;
		background-color: #fff;
		bottom: 0;
		left: 0;
		width: 100%;
		margin: 0;
		padding: 40px 15px;
		-webkit-box-shadow: 0 0 10px 0 rgba(0,0,0,0.2);
		box-shadow: 0 0 10px 0 rgba(0,0,0,0.2);
		-webkit-border-radius: 20px 20px 0 0;
		border-radius: 20px 20px 0 0;
	}
	.header-cta ul {
		text-align:center;
		padding:0;
	}
	.header-cta ul li { margin:0;}
	.header-cta li.button-outline a,
	.header-cta li.button-fill a {
		color:#000;
	}
}
/*************************************************
768 - 992 - LARGE
*************************************************/
@media all and (min-width: 768px) and (max-width: 992px){
	.hide-large{ display:none !important;}
	.header-cta {
		position: fixed;
		background-color: #fff;
		bottom: 0;
		left: 0;
		width: 100%;
		margin: 0;
		padding: 40px;
		-webkit-box-shadow: 0 0 10px 0 rgba(0,0,0,0.2);
		box-shadow: 0 0 10px 0 rgba(0,0,0,0.2);
		-webkit-border-radius: 20px 20px 0 0;
		border-radius: 20px 20px 0 0;
	}
	.header-cta ul {
		text-align:center;
		padding:0;
	}
	.header-cta li.button-outline a,
	.header-cta li.button-fill a {
		color:#000;
	}
}
/*************************************************
992 - 1200 - EXTRA LARGE
*************************************************/
@media all and (min-width: 992px) and (max-width: 1200px){
	.hide-extra-large { display:none !important;}
	main#content .page-content article.post { flex: calc(50% - 40px); max-width: calc(50% - 40px);}
}
/*************************************************
1200 -> - DESKTOP
*************************************************/
@media all and (min-width:1200px){
	.hide-desktop {display:none !important;}
}
/*************************************************
MOBILE NAV - 0 - 992
*************************************************/
@media all and (max-width: 992px){	
#site-header .site-social { display:none;}
main#content .page-content article.post { flex: calc(100% - 40px); max-width: calc(100% - 40px);}
nav.site-navigation {
	float:inherit;
}
.menu-main-menu-container {
	position:fixed;
	right:-300px;
	top:0;
	background-color:var(--primary-colour);
	height:100vh;
	width:300px;
	-webkit-transition: all 0.5s cubic-bezier(0.770, 0.000, 0.175, 1.000) /* easeInOutQuart */ 0.1s;
	-moz-transition: all 0.5s cubic-bezier(0.770, 0.000, 0.175, 1.000) /* easeInOutQuart */ 0.1s;
	-ms-transition: all 0.5s cubic-bezier(0.770, 0.000, 0.175, 1.000) /* easeInOutQuart */ 0.1s;
	-o-transition: all 0.5s cubic-bezier(0.770, 0.000, 0.175, 1.000) /* easeInOutQuart */ 0.1s;
	transition: all 0.5s cubic-bezier(0.770, 0.000, 0.175, 1.000) /* easeInOutQuart */ 0.1s;
	padding:30px;
	z-index:11;
}
.header-2 nav.site-navigation {
	position:absolute;
}
.header-2 nav.site-navigation .menu-main-menu-container {
	width:300px;
}
.menu-active .menu-main-menu-container {
	right:0;
}
.menu-main-menu-container ul.menu {
	width:84%;
	list-style-type:none;
	margin:100px 0 0 0;
	padding:0;
	display:inherit;
	position:absolute;
	left:30%;
	-webkit-transition: all 0.3s ease-in-out;
	-moz-transition: all 0.3s ease-in-out;
	-ms-transition: all 0.3s ease-in-out;
	-o-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;
}
.menu-active .menu-main-menu-container ul.menu {
	left:8%;
}
.menu-main-menu-container ul.menu li {
	margin:10px 0px;
	position:relative;
	display:inherit;
}
.menu-main-menu-container ul.menu li a {
	font-size:18px;
	padding:5px 15px;
	width:auto;
	display:inline-block;
	color:#fff;
}

.menu-item-has-children a {}
.site-navigation ul.menu li > ul, .site-navigation ul.menu li:hover > ul {
	opacity:inherit;
	display:inherit;
	visibility:inherit;
}
.site-navigation ul.menu li.menu-item-has-children {
	padding:0;
}
.site-navigation ul.menu li.menu-item-has-children:after {
	display:none;
}
.site-navigation ul.menu li.menu-item-has-children span.toggle-submenu,
.site-navigation ul.menu li.active ul span.toggle-submenu {
	position:absolute;
	right:5px;
	top:5px;
	background-color:rgba(0,0,0,0.1);
	-moz-transform: rotate(0deg);
	-webkit-transform: rotate(0deg);
	-o-transform: rotate(0deg);
	-ms-transform: rotate(0deg);
	transform: rotate(0deg);
	z-index:11;
	-webkit-border-radius: 3px 3px 3px 3px;
	border-radius: 3px 3px 3px 3px;
}
.site-navigation ul.menu li.active span.toggle-submenu,
.site-navigation ul.menu li.active ul li.active span.toggle-submenu {
	-moz-transform: rotate(90deg);
	-webkit-transform: rotate(90deg);
	-o-transform: rotate(90deg);
	-ms-transform: rotate(90deg);
	transform: rotate(90deg);
}
.site-navigation ul.menu li span.toggle-submenu .arrow {
	border-right: 2px solid white;
    border-top: 2px solid white;
}
.site-navigation ul.menu li a, .site-navigation ul.menu li a:hover {
	color:var(--secondary-colour);
}
.site-navigation ul.menu li a:visited, .site-navigation ul.menu li a:active, .site-navigation ul.menu li a:focus {
	color:var(--secondary-colour);
}
.menu-main-menu-container ul li ul.sub-menu, .menu-main-menu-container ul li ul.sub-menu li ul.sub-menu {
	overflow:hidden;
	display:block;
	-webkit-transition: all 0.2s ease-in-out 0s;
	-moz-transition: all 0.2s ease-in-out 0s;
	-ms-transition: all 0.2s ease-in-out 0s;
	-o-transition: all 0.2s ease-in-out 0s;
	transition: all 0.2s ease-in-out 0s;
}
body.menu-active .mobile-nav .menu-main-menu-container {
	right:0%;
}
.menu-main-menu-container ul li.menu-item-has-children ul.sub-menu {
	background-color:rgba(255,255,255,0.15);
	list-style-type:none;
	margin:0;
	padding:0px;
	-webkit-border-radius: 3px 3px 3px 3px;
	border-radius: 3px 3px 3px 3px;
	position:relative;
}
.site-navigation ul.menu li ul ul {
	left:0;
}
.menu-main-menu-container ul li.menu-item-has-children ul.sub-menu li {
	padding:0;
	border-bottom:0;
}
.menu-main-menu-container ul li.menu-item-has-children ul.sub-menu li a {
	font-size:16px;
	color:#fff;
}
}